#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:default_sparse, :parent => Puppet::Parameter::ZfsProperty) do
  include Puppet_X::EnterpriseModules::Mungers::Boolean

  desc <<-EOD
    Specifies the ACL inheritance behavior.

        zfs_...{
          ...
          default_sparse => true
          ...
        }
  EOD

  newvalues(true,false)

end
