#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:reservation_snap, :parent => Puppet::Parameter::ZfsProperty) do
  include Puppet_X::EnterpriseModules::Mungers::Boolean

  desc <<-EOD
     Specifies the reservation snap behaviour of the project or share.

        zfs_...{
          ...
          reservation_snap => 'true'
          ...
        }
  EOD

  newvalues(true, false)

end
