#
# See the file "LICENSE" for the full license governing this code.
#
module Puppet_X
  module EnterpriseModules
    module Mungers
      module Boolean

        def unsafe_munge(value)
          case value
          when true, 'True', 'true', 'TRUE', '1',1 
            true
          when false, 'False', 'false', 'FALSE', '0',0 
            false
          else
            raise "Value #{value} not valid as a Boolean."
          end
        end

      end
    end
  end
end
