---
layout: documentation
title: Installation
keywords: installation
sidebar: zfs_appliance_sidebar
toc: false
---
To install these modules, you can use a `Puppetfile`

```
forge "http://forge.enterprisemodules.com"

mod 'enterprisemodules/zfs_appliance'               ,'1.0.x'
```

Then use the `librarian-puppet` or `r10K` to install the software.

You can also install the software using the `puppet module`  command:

```
puppet module install
    --module_repository=http://forge.enterprisemodules.com
    enterprisemodules-zfs_appliance
```

