#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:maxblocksize) do
  include EasyType::Mungers::Float

  desc <<-EOD
    Specifies the maximum blocksize for the project and/or the share.

        zfs_...{
          ...
          maxblocksize => 'restricted'
          ...
        }
  EOD

  # Needs to be a float
  newvalues(/^\-?\d*\.?\d*$/, 'absent')

end
