#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:recordsize, :parent => Puppet::Parameter::ZfsProperty) do
  include EasyType::Mungers::Float

  desc <<-EOD
    Specifies the record size of the project or share.

        zfs_...{
          ...
          recordsize => '1000'
          ...
        }
  EOD

  # Needs to be a float
  newvalues(/^\-?\d*\.?\d*$/, 'absent')



end
