#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:reservation, :parent => Puppet::Parameter::ZfsProperty) do
  include EasyType::Mungers::Float

  desc <<-EOD
    Specifies the reservation size for the project or share.

        zfs_...{
          ...
          reservation => '100'
          ...
        }
  EOD

  # Needs to be a float
  newvalues(/^\-?\d*\.?\d*$/, 'absent')


end
