#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:quota_snap, :parent => Puppet::Parameter::ZfsProperty) do
  include Puppet_X::EnterpriseModules::Mungers::Boolean

  desc <<-EOD
     Specifies the quota snap behaviour of the project or share.

        zfs_...{
          ...
          quota_snap => 'true'
          ...
        }
  EOD

  newvalues(true,false)

end
